@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@400;500;600;700&family=Poppins:wght@400;500;600;700;800&display=swap");

/*
font-family: 'Oswald', sans-serif;
font-family: 'Poppins', sans-serif;
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}

body {
  font-family: "Poppins", sans-serif;
  padding-top: -30px; /* Ajusta según la altura del carrusel */
}

img {
  max-width: 100%;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}

.header {
  display: flex;
  align-items: center;
  min-height: 100vh;
  background-image: url("img-new/index.jpeg");
  background-size: cover;   /* Hace que la imagen completa sea visible */
  background-position: center;
  background-repeat: no-repeat;
  padding: 70px 0;
  position: relative;
}



.menu {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo {
  font-size: 25px;
  color: #a0153e;
  text-transform: uppercase;
  font-weight: 800;
}

.logo2 {
  font-size: 25px;
  color: #a0153e;
  text-transform: uppercase;
  font-weight: 800;
  display: none;
}

.menu .navbar ul li {
  position: relative;
  float: left;
}

.menu .navbar ul li a {
  font-size: 18px;
  padding: 20px;
  color: #a0153e;
  display: block;
}

#menu {
  display: none;
}

.menu-icono {
  width: 25px;
}

.menu label {
  cursor: pointer;
  display: none;
}

.submenu {
  position: relative;
}

.submenu #carrito {
  display: none;
}

.submenu:hover #carrito {
  display: block;
  position: absolute;
  right: 0;
  backdrop-filter: blur(10px);
  top: 100%;
  z-index: 1;
  background-color: #111111;
  padding: 20px;
  min-width: 400px;
}

.carrito-fijo {
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 1000;
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}

#carrito table {
  display: block;
  max-height: 250px;
  overflow-y: auto;
}

table {
  width: 100%;
}

th,
td {
  color: #ffffff;
}

.borrar {
  background-color: #111111;
  border-radius: 50%;
  padding: 5px 10px;
  text-decoration: none;
  color: #ffffff;
  font-weight: 800;
  cursor: pointer;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  padding: 0 200px;
}

.header-img {
  flex-basis: 50%;
  text-align: center;
}

.header-txt {
  flex-basis: 50%;
  text-align: center;
}

.header-txt h1 {
  font-size: 90px;
  text-transform: uppercase;
  line-height: 1;
  color: #a0153e;
  font-family: "Oswald", sans-serif;
  margin-bottom: 15px;
}

.header-txt p {
  font-size: 20px;
  text-transform: uppercase;
  margin-bottom: 20px;
  color: #a0153e;
}

.btn-1 {
  display: inline-block;
  padding: 11px 25px;
  background-color: #e9bead;
  color: #a0153e;
  border-radius: 5px;
}

.ofert {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* 2 columnas */
  gap: 0; /* sin separación */
  width: 100%;
}

.ofert-1 {
  position: relative;
  height: 300px;              /* altura de cada banner */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  border: none;
  margin: 0;
  padding: 0;
}


/* Fondo semitransparente para el texto */
.ofert-1::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.3); /* oscuro suave para que el texto resalte */
}

.ofert-txt {
  position: relative;
  z-index: 2;
  margin-top: 100px;
}

.ofert-txt h3 {
  color: white;
  font-size: 28px;
  margin-bottom: 10px;
}

.ofert-txt .btn-2 {
  background-color: green;
  color: white;
  font-weight: bold;
}

.anelli {
  background-image: url("img-new/anelli.PNG");
}

.orecchini {
  background-image: url("img-new/orecchini.PNG");
}

.collane {
  background-image: url("img-new/collane.PNG");
}

.bracciale {
  background-image: url("img-new/bracciale.jpeg");
}


.btn-2 {
  background: green;   /* sin fondo */
  border-radius:15px ;                  /* sin borde */
  color: white;                  /* o el color que quieras */
  padding: 0;                    /* quitar espacio extra */
  font-size: 18px;
  cursor: pointer;
}




.btn-3 {
  display: inline-block;
  padding: 7px 10px;
  background-color: green;
  color: #ffffff;
  border-radius: 5px;
  font-size: 15px;
}

.products {
  padding: 50px 0;
  text-align: center;
}

.products h2 {
  color: #a0153e;
  font-family: "Oswald", sans-serif;
  font-size: 50px;
  text-transform: uppercase;
  margin-bottom: 50px;
}

.product-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 50px;
  background-color: #f5f5f5;
}

.product {
  text-align: center;
  padding: 30px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.product img {
  width: 100%; /* Ocupará todo el ancho de la tarjeta */
  height: 200px; /* Altura fija para que todas sean iguales */
  object-fit: cover; /* Recorta la imagen para ajustarla sin deformarla */
  border-radius: 8px;
}

.product h3 {
  font-size: 20px;
  color: #a0153e;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  margin-bottom: 15px;
}

.product p,
.precio {
  font-size: 16px;
  color: #a0153e;
  margin-bottom: 15px;
}

.precio {
  font-weight: 800;
}

.icons {
  padding: 50px 0 100px 0;
  display: flex;
  justify-content: space-between;
}

.icon-img {
  width: 200px;
  height: auto;
}
.opinion {
  width: 100px;
}
.calidad {
  width: 200px;
}

.icon-1 {
  flex-basis: calc(33.3% - 30px);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 25px;
  background-color: #f5f5f5;
}

.icon-txt h3 {
  font-size: 20px;
  color: #a0153e;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
}

.icon-txt p {
  font-size: 16px;
  color: #a0153e;
}

.blog {
  display: flex;
  justify-content: space-between;
  padding-bottom: 100px;
}

.blog-1 {
  flex-basis: calc(33.3% - 30px);
}

.blog-1 img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  margin-bottom: 20px;
  border-radius: 8px;
}

.blog-1 h3 {
  font-size: 20px;
  color: #a0153e;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  margin-bottom: 15px;
}

.blog-1 p {
  font-size: 16px;
  color: #a0153e;
}

.footer {
  padding: 50px 0;
  background-color: #111111;
}

.footer-content {
  display: flex;
  justify-content: space-between;
}

.link h3 {
  font-size: 18px;
  color: #ffffff;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  margin-bottom: 20px;
}

.link a {
  font-size: 16px;
  color: #dcdcdc;
  display: block;
  margin-bottom: 10px;
}

i {
  color: #ffffff;
}

.container-btn {
  flex-direction: column;
}

.notificacion {
  position: absolute;
  top: 5px; /* Un poco más cerca del carrito */
  left: -20px; /* A la izquierda del icono */
  background-color: #ff0000;
  color: white;
  border-radius: 50%;
  padding: 3px 7px; /* Tamaño reducido */
  font-size: 12px; /* Texto más pequeño */
  font-weight: bold;
  display: none; /* Inicialmente oculta */
  min-width: 20px; /* Para evitar que la burbuja sea demasiado pequeña */
  text-align: center; /* Asegura que el texto esté centrado */
}

button.incrementar,
button.decrementar {
  padding: 6px 12px;
  font-size: 18px;
  font-weight: bold;
  background-color: #4caf50; /* verde */
  color: white;
  border: none;
  border-radius: 5px;
  margin: 0 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button.incrementar:hover,
button.decrementar:hover {
  background-color: #45a049; /* verde más oscuro */
}

.cantidad {
  font-size: 18px;
  font-weight: bold;
  margin: 0 8px;
  display: inline-block;
  min-width: 20px;
  text-align: center;
}

.anuncio.content {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  cursor: pointer;
}

.carrusel-linea {
  width: 100%;
  background-color: #a0153e;   /* color de fondo, puedes cambiarlo */
  padding: 10px 0;
  overflow: hidden;            /* oculta lo que salga del contenedor */
  white-space: nowrap;
}

.carrusel-contenido {
  display: inline-block;
  padding-left: 100%;
  font-size: 18px;
  color: #ffffff;
  animation: scrollLine 12s linear infinite; /* velocidad */
}

@keyframes scrollLine {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

/* Fondo semitransparente */
.popup-navidad {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Caja del popup con ROJO + BORDE DORADO */
.popup-contenido {
    background: #b30000; /* rojo navideño */
    padding: 30px;
    border-radius: 15px;
    width: 330px;
    text-align: center;
    position: relative;
    border: 4px solid #d4af37; /* dorado */
    box-shadow: 0 0 25px rgba(212,175,55,0.7); /* brillo dorado */
    color: #fff;
    font-family: 'Arial', sans-serif;
}

/* Botón cerrar */
.cerrar-popup {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 26px;
    cursor: pointer;
    color: #d4af37; /* dorado */
    font-weight: bold;
}

/* Botón VER TODO en DORADO */
.boton-ver-todo {
    display: inline-block;
    margin-top: 20px;
    padding: 12px 20px;
    background: #d4af37; /* dorado */
    color: #7a0000; /* rojo oscuro */
    font-weight: bold;
    text-decoration: none;
    border-radius: 8px;
    transition: 0.3s;
    box-shadow: 0 0 10px rgba(212,175,55,0.7);
}

.boton-ver-todo:hover {
    background: #f2d675; /* dorado más claro */
    box-shadow: 0 0 15px rgba(242,214,117,0.9);
}


@media (max-width: 991px) {
  .menu {
    padding: 20px;
  }

  .menu label {
    display: initial;
  }

  .menu .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #181818;
    display: none;
  }

  .menu .navbar ul li {
    width: 100%;
  }

  .menu .navbar ul li a {
    color: #ffffff;
  }

  #menu:checked ~ .navbar {
    display: initial;
  }

  .logo {
    display: none;
  }

  .logo2 {
    display: block;
  }

  .submenu:hover #carrito {
    min-width: 100%;
  }

  .header {
    min-height: 0vh;
  }

  .header-content {
    padding: 50px 0;
    flex-direction: column;
  }

  .header-img {
    display: none;
  }

  .header-txt {
    flex-basis: 100%;
    text-align: center;
  }

  .header-txt h1 {
    font-size: 70px;
  }

  .ofert {
    margin-top: 50px;
  }

  .ofert-1 {
    height: 250px;
  }


  .products h2 {
    margin-bottom: 30px;
  }

 .product-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}


 .product {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #f8f8f8;
  padding: 15px;
  border-radius: 10px;
  height: 100%;
  text-align: center;
}

.product img {
  width: 100%;
  height: 180px;
  object-fit: cover;
  border-radius: 8px;
  margin-bottom: 15px;
}

.product h3 {
  font-size: 18px;
  line-height: 1.2;
  margin-bottom: 10px;
}

.product p,
.precio {
  font-size: 14px;
  margin-bottom: 10px;
}

.precio {
  font-weight: bold;
}


  .icons {
    padding: 30px;
    flex-direction: column;
  }

  .icon-1 {
    margin-bottom: 30px;
  }

  .blog {
    padding: 0 30px 30px 30px;
    flex-direction: column;
  }

  .blog-1 {
    margin-bottom: 30px;
  }

  .footer {
    padding: 30px;
  }

  .footer-content {
    flex-direction: column;
    text-align: center;
  }

  .container-btn {
    flex-direction: column;
  }
}
